import { render, fireEvent } from '@testing-library/svelte'

import {{name}} from '@components/{{name}}/{{name}}'
import { {{name}}Data } from '@components/{{name}}/__stories__/Data'

describe('{{lowerCase name}}', () => {
  it('render', () => {
    expect.hasAssertions()

    const onClickMock = jest.fn()
    {{name}}Data.onClick = onClickMock
    const { getByText } = render({{name}}, { props: {{name}}Data })
    const {{lowerCase name}} = getByText('Template Label');
    expect({{lowerCase name}}).toBeTruthy()
    fireEvent.click({{lowerCase name}})
    expect(onClickMock).toHaveBeenCalledTimes(1)

    expect({{lowerCase name}}).toMatchSnapshot();
  })
})
